// Input_7296.h: interface for the CInput_7296 class.
//
//////////////////////////////////////////////////////////////////////
#pragma once

#include "InputBase.h"

class CAdlinkCommon;

class CInput_7296 : public CInputBase
{
public:
    CInput_7296(const CInputSetting& Setting);
    virtual ~CInput_7296();

    int GetState() override;

private:
    std::unique_ptr<CAdlinkCommon> m_pCommon;
};
